import org.openspaces.admin.*;
import org.openspaces.admin.gsa.*;
import org.openspaces.admin.gsc.*;
import org.openspaces.admin.pu.*;
import java.util.concurrent.TimeUnit;

int delay = 20000;

        AdminFactory factory = new AdminFactory();
        factory.addGroup('xap-12.1.1');
        Admin admin = factory.createAdmin();
        for (int i = 1; i <= 100; i++) {
        //Stopwatch started = Stopwatch.createStarted();
        long start = System.currentTimeMillis();
        List<GridServiceContainer> tessZone2Gscs = getContainers(admin);

        ProcessingUnit tessZone2Space1 = admin.getProcessingUnits().waitFor("mySpace");

        tessZone2Space1.waitFor(tessZone2Space1.getPlannedNumberOfInstances()); //plannedNumberOfInstances == 4
        tessZone2Gscs.get(0).restart();
        tessZone2Gscs.get(1).restart();
        tessZone2Space1.waitFor(tessZone2Space1.getPlannedNumberOfInstances());
        tessZone2Gscs.get(2).restart();
        tessZone2Gscs.get(3).restart();
        tessZone2Space1.waitFor(tessZone2Space1.getPlannedNumberOfInstances());
        long end = System.currentTimeMillis();
        System.err.println("Restart number: " + i + " in " + (end-start));
        }

private List<GridServiceContainer> getContainers(Admin admin) {
        admin.getGridServiceContainers().waitFor(4); //wait for all GSCs to be available
        GridServiceContainer[] containers = admin.getGridServiceContainers().getContainers();
        ArrayList arrayList =  new ArrayList();
	arrayList.addAll(Arrays.asList(containers));
	return arrayList;	
        }

        admin.close();

